• Русский
  • Namespace [v1]

    Description
    Namespace provides a scope for Names. Use of multiple namespaces is optional.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    NamespaceSpec describes the attributes on a Namespace.

    statusobject

    NamespaceStatus is information about the current status of a Namespace.

    .spec

    Description
    NamespaceSpec describes the attributes on a Namespace.
    Type
    object
    PropertyTypeDescription
    finalizersarray

    Finalizers is an opaque list of values that must be empty to permanently remove object from storage. More info: https://kubernetes.io/docs/tasks/administer-cluster/namespaces/

    .spec.finalizers

    Description
    Finalizers is an opaque list of values that must be empty to permanently remove object from storage. More info: https://kubernetes.io/docs/tasks/administer-cluster/namespaces/
    Type
    array

    .spec.finalizers[]

    Type
    string

    .status

    Description
    NamespaceStatus is information about the current status of a Namespace.
    Type
    object
    PropertyTypeDescription
    conditionsarray

    Represents the latest available observations of a namespace's current state.

    phasestring

    Phase is the current lifecycle phase of the namespace. More info: https://kubernetes.io/docs/tasks/administer-cluster/namespaces/

    Possible enum values:

    • "Active" means the namespace is available for use in the system
    • "Terminating" means the namespace is undergoing graceful termination

    .status.conditions

    Description
    Represents the latest available observations of a namespace's current state.
    Type
    array

    .status.conditions[]

    Description
    NamespaceCondition contains details about state of namespace.
    Type
    object
    Required
    typestatus
    PropertyTypeDescription
    lastTransitionTimestring

    Time is a wrapper around time.Time which supports correct marshaling to YAML and JSON. Wrappers are provided for many of the factory methods that the time package offers.

    messagestring

    Human-readable message indicating details about last transition.

    reasonstring

    Unique, one-word, CamelCase reason for the condition's last transition.

    statusstring

    Status of the condition, one of True, False, Unknown.

    typestring

    Type of namespace controller condition.

    API Endpoints

    The following API endpoints are available:

    • /kubernetes/{cluster}/api/v1/namespaces
      • DELETE: delete collection of Namespace
      • GET: list objects of kind Namespace
      • POST: create a new Namespace
    • /kubernetes/{cluster}/api/v1/namespaces/{name}
      • DELETE: delete the specified Namespace
      • GET: read the specified Namespace
      • PATCH: partially update the specified Namespace
      • PUT: replace the specified Namespace
    • /kubernetes/{cluster}/api/v1/namespaces/{name}/status
      • GET: read status of the specified Namespace
      • PATCH: partially update status of the specified Namespace
      • PUT: replace status of the specified Namespace

    /kubernetes/{cluster}/api/v1/namespaces

    HTTP method
    DELETE
    Description
    delete collection of Namespace
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind Namespace
    HTTP responses
    HTTP codeResponse body
    200 - OKNamespaceList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new Namespace
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyNamespace schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKNamespace schema
    201 - CreatedNamespace schema
    202 - AcceptedNamespace schema
    401 - UnauthorizedEmpty

    /kubernetes/{cluster}/api/v1/namespaces/{name}

    HTTP method
    DELETE
    Description
    delete the specified Namespace
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified Namespace
    HTTP responses
    HTTP codeResponse body
    200 - OKNamespace schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified Namespace
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKNamespace schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified Namespace
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyNamespace schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKNamespace schema
    201 - CreatedNamespace schema
    401 - UnauthorizedEmpty

    /kubernetes/{cluster}/api/v1/namespaces/{name}/status

    HTTP method
    GET
    Description
    read status of the specified Namespace
    HTTP responses
    HTTP codeResponse body
    200 - OKNamespace schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified Namespace
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKNamespace schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified Namespace
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyNamespace schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKNamespace schema
    201 - CreatedNamespace schema
    401 - UnauthorizedEmpty